﻿@model RegisterViewModel
@{
    ViewBag.Title = "ایجاد حساب کاربری";
}

@section head{
    <script src="https://www.google.com/recaptcha/api.js?hl=fa&onload=onloadCallback&render=explicit" async defer></script>
}

<div class="container">
    <div class="row mt-3">
        <div class="col-12">
            <h4 class="page-title"><span>خوش آمدید!</span></h4>
        </div>
        <div class="col-md-6">
            <div class="card">
                <div class="card-body">
                    <div class="card-block">
                        <h5 class="card-title">افتتاح حساب</h5><hr />
                        <section class="loginForm" id="registerForm">
                            @using (Html.BeginForm("Register", "Account", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                            {
                                if (ViewBag.ReferredBy != null && !string.IsNullOrWhiteSpace(ViewBag.ReferredBy))
                                {
                                    <small>
                                        <span>شما توسط کد کاربری <strong>@ViewBag.ReferredBy</strong> به اکس تومن معرفی شده اید</span><br />
                                        <span>5 درصد تخفیف در مبادله اول از طریق معرف به شما هدیه شده است. مهلت استفاده تا 3 روز می باشد</span>
                                    </small>
                                }
                                @Html.AntiForgeryToken()
                                @Html.ValidationSummary("", new { @class = "text-danger" })
                                <div class="form-group">
                                    @Html.LabelFor(m => m.EmailOrPhone)
                                    <div class="input-group input-group-merge">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text"><i class="far fa-user"></i></span>
                                        </div>
                                        @Html.TextBoxFor(m => m.EmailOrPhone, new { @class = "form-control", placeholder = "ایمیل یا شماره موبایل" })
                                    </div>
                                    @Html.ValidationMessageFor(m => m.EmailOrPhone, "", new { @class = "text-danger" })
                                </div>
                                <div class="form-group">
                                    @Html.LabelFor(m => m.Password)
                                    <div class="input-group input-group-merge">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text"><i class="far fa-key"></i></span>
                                        </div>
                                        @Html.PasswordFor(m => m.Password, new { @class = "form-control", placeholder = "کلمه عبور" })
                                    </div>
                                    @Html.ValidationMessageFor(m => m.Password, "", new { @class = "text-danger" })
                                </div>
                                <div class="form-group">
                                    @Html.LabelFor(m => m.ConfirmPassword)
                                    <div class="input-group input-group-merge">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text"><i class="far fa-key"></i></span>
                                        </div>
                                        @Html.PasswordFor(m => m.ConfirmPassword, new { @class = "form-control", placeholder = "تکرار عبور" })
                                    </div>
                                    @Html.ValidationMessageFor(m => m.ConfirmPassword, "", new { @class = "text-danger" })
                                </div>
                                <div id="recaptchaDiv" class="g-recaptcha" data-sitekey="6LflMzoUAAAAANbJkWt7aYXbypaZSgmfJrvWsfmw"></div>
                                <div class="form-group">
                                    <div class="custom-control custom-checkbox">
                                        <input class="custom-control-input input-validation-error" data-val="true" data-val-enforcetrue="قوانین و مقررات باید پذیرفته شود." data-val-required="Terms را وارد کنید" id="Terms" name="Terms" type="checkbox" value="true" aria-describedby="Terms-error" aria-invalid="true"><input name="Terms" type="hidden" value="false">
                                        <label class="custom-control-label" for="Terms">
                                            من
                                            <a href="@Url.Action("Terms","Home")" target="_blank">قوانین و مقررات</a>
                                            را خوانده ام و می پذیرم.
                                        </label>
                                    </div>
                                    @Html.ValidationMessageFor(m => m.Terms, "", new { @class = "text-danger" })
                                </div>
                                <div class="form-group">
                                    <input type="submit" value="ثبت نام" class="btn btn-block btn-lg btn-primary" />
                                </div>
                                <p>
                                    @if (ViewBag.ReturnUrl != null)
                                    {
                                        @Html.ActionLink("حساب کاربری دارم!", "Login", new { ReturnUrl = ViewBag.ReturnUrl })
                                    }
                                    else
                                    {
                                        @Html.ActionLink("حساب کاربری دارم!", "Login")
                                    }
                                </p>
                            }
                        </section><hr /><section id="socialLoginForm">
                            @Html.Partial("_ExternalLoginsListPartial", new ExternalLoginListViewModel { ReturnUrl = ViewBag.ReturnUrl })
                        </section>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <h5 class="mt-4">امکانات حساب کاربری</h5>
            <hr />
            <ul class="custom-list">
                <li><span class="fa fa-bell"></span> ارسال پیامک و ایمیل هشدار قیمت</li>
                <li><span class="fa fa-list"></span> پیگیری سفارش های انجام شده</li>
                <li><span class="fa fa-history"></span> امکان مشاهده گزارش تراکنش های قبلی</li>
                <li><span class="fa fa-tag"></span> دریافت تخفیف نرخ تبدیل</li>
                <li><span class="fa fa-clock-o"></span> صرفه جویی در زمان مبادله</li>
                <li><span class="fa fa-lock"></span> امنیت بیشتر در انجام تراکنش</li>
            </ul>
        </div>
    </div>
</div>

@section Scripts {
    @Scripts.Render("~/js/jqueryval")
    <script>
        function onloadCallback() {
            $('input[type="submit"]').removeAttr('disabled');
            grecaptcha.render('recaptchaDiv');
        }
    </script>
}
